Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 575366 - dev-cpp/eigen / test dependencies keyword request
Summary: dev-cpp/eigen / test dependencies keyword request
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on: 492484 577272 586746
Blocks:
  Show dependency tree
 
Reported: 2016-02-22 09:23 UTC by Justin Lecher
Modified: 2019-02-25 15:51 UTC (History)
3 users (show)

See Also:
Package list:
=dev-cpp/eigen-3.3.7 ~hppa =dev-libs/starpu-1.2.6 ~hppa =sci-libs/adolc-2.6.3-r1 ~sparc =sci-libs/pastix-5.2.2.22-r1 ~arm ~hppa =sci-libs/spqr-1.3.1 ~alpha ~sparc
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Lecher gentoo-dev 2016-02-22 09:23:35 UTC
                 ia64 arm alpha hppa
sci-libs/adolc    X    X    X    X
sci-libs/cholmod  X         X
sci-libs/pastix   X    X    X    X
sci-libs/umfpack  X         X
sci-libs/scotch   X    X    X    X
sci-libs/spqr     X    X    X    X
sci-libs/superlu  X         X    X
Comment 1 Justin Lecher gentoo-dev 2016-02-22 09:27:34 UTC
ppc: sci-libs/adolc', 'sci-libs/pastix', 'sci-libs/scotch', 'sci-libs/spqr'
Comment 2 Justin Lecher gentoo-dev 2016-02-22 09:28:50 UTC
sparc: [     'sci-libs/adolc',      'sci-libs/pastix',            'sci-libs/scotch',                  'sci-libs/spqr',                        'sci-libs/superlu']
Comment 3 Justin Lecher gentoo-dev 2016-02-22 09:32:14 UTC
                 ia64 arm alpha hppa ppc sparc
sci-libs/adolc    X    X    X    X    X    X
sci-libs/cholmod  X         X               
sci-libs/pastix   X    X    X    X    X    X
sci-libs/umfpack  X         X               
sci-libs/scotch   X    X    X    X    X    X
sci-libs/spqr     X    X    X    X    X    X
sci-libs/superlu  X         X    X         X
Comment 4 Justin Lecher gentoo-dev 2016-02-22 09:36:39 UTC
commit c32952632432bcc18db5c17fe78d4299446eb44b
Author: Justin Lecher <jlec@gentoo.org>
Date:   Mon Feb 22 10:24:59 2016 +0100

    profiles: Mask dev-cpp/eigene[test] for arches missing KEYWORDs on test deps

    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=575366

    Signed-off-by: Justin Lecher <jlec@gentoo.org>

    https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c32952632432bcc18db5c17fe78d4299446eb44b
Comment 5 Jeroen Roovers gentoo-dev 2016-02-27 12:47:26 UTC
You forgot one.
Comment 6 Tobias Klausmann gentoo-dev 2016-06-07 16:35:37 UTC
Do we ignore the spqr test failure? It's even worse on alpha: running the test suite results in a SEGV
Comment 7 Tobias Klausmann gentoo-dev 2016-06-07 16:48:05 UTC
Actually, we can drop spqr for now, the depgraph is still valid.

Thus, I've keyworded these on alpha:

sci-libs/adolc-2.5.2
sci-libs/amd-2.3.1
sci-libs/camd-2.3.1
sci-libs/ccolamd-2.8.0
sci-libs/cholmod-2.1.2
sci-libs/colamd-2.8.0
sci-libs/colpack-1.0.9
sci-libs/metis-4.0.3
sci-libs/pastix-5.2.2.22-r1
sci-libs/scotch-6.0.4-r1
sci-libs/superlu-4.3-r1
sci-libs/umfpack-5.6.2
sci-libs/suitesparseconfig-4.2.1
dev-libs/starpu-1.1.5
dev-cpp/tbb-4.3.20150611-r1


Re-CC us if/when the question of spqr is resolved (or make a new KWR bug).
Comment 8 Stabilization helper bot gentoo-dev 2017-01-13 14:39:25 UTC
An automated check of this bug failed - the following atom is unknown:

dev-cpp-eigen

Please verify the atom list.
Comment 9 Stabilization helper bot gentoo-dev 2017-01-13 19:07:46 UTC
An automated check of this bug failed - the following atom is unknown:

dev-cpp/eigen

Please verify the atom list.
Comment 10 Stabilization helper bot gentoo-dev 2017-01-14 14:00:32 UTC
An automated check of this bug failed - the following atom is unknown:

sci-libs/superlu

Please verify the atom list.
Comment 11 Stabilization helper bot gentoo-dev 2017-01-14 15:03:50 UTC
An automated check of this bug failed - repoman reported dependency errors (189 lines truncated): 

> dependency.bad sci-libs/umfpack/umfpack-5.6.2.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0) ['>=sci-libs/amd-1.3', 'sci-libs/suitesparseconfig']
> dependency.bad sci-libs/umfpack/umfpack-5.6.2.ebuild: RDEPEND: ~ia64(default/linux/ia64/13.0) ['>=sci-libs/amd-1.3', 'sci-libs/suitesparseconfig']
> dependency.bad sci-libs/umfpack/umfpack-5.6.2.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0/desktop) ['>=sci-libs/amd-1.3', 'sci-libs/suitesparseconfig']
> dependency.bad sci-libs/spqr/spqr-1.3.1.ebuild: DEPEND: ~hppa(default/linux/hppa/13.0) ['dev-cpp/tbb']
> dependency.bad sci-libs/spqr/spqr-1.3.1.ebuild: RDEPEND: ~hppa(default/linux/hppa/13.0) ['dev-cpp/tbb']
> dependency.bad sci-libs/spqr/spqr-1.3.1.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0) ['dev-cpp/tbb']
> dependency.bad sci-libs/adolc/adolc-2.5.2.ebuild: DEPEND: ~arm(default/linux/arm/13.0) ['sys-cluster/ampi:0=', 'sci-libs/colpack:0=']
> dependency.bad sci-libs/adolc/adolc-2.5.2.ebuild: RDEPEND: ~arm(default/linux/arm/13.0) ['sys-cluster/ampi:0=', 'sci-libs/colpack:0=']
> dependency.bad sci-libs/adolc/adolc-2.5.2.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0) ['sci-libs/colpack:0=']
> dependency.bad sci-libs/cholmod/cholmod-2.1.2.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0) ['>=sci-libs/amd-2.3', '>=sci-libs/colamd-2.8', '>=sci-libs/camd-2.3', '>=sci-libs/ccolamd-2.8', 'sci-libs/metis']
> dependency.bad sci-libs/cholmod/cholmod-2.1.2.ebuild: RDEPEND: ~ia64(default/linux/ia64/13.0) ['>=sci-libs/amd-2.3', '>=sci-libs/colamd-2.8', '>=sci-libs/camd-2.3', '>=sci-libs/ccolamd-2.8', 'sci-libs/metis']
> dependency.bad sci-libs/cholmod/cholmod-2.1.2.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0/desktop) ['>=sci-libs/amd-2.3', '>=sci-libs/colamd-2.8', '>=sci-libs/camd-2.3', '>=sci-libs/ccolamd-2.8', 'sci-libs/metis']
> dependency.bad dev-cpp/eigen/eigen-3.3.1.ebuild: DEPEND: ~hppa(default/linux/hppa/13.0) ['sci-libs/adolc']
> dependency.bad sci-libs/pastix/pastix-5.2.2.22-r1.ebuild: DEPEND: ~arm(default/linux/arm/13.0) ['dev-libs/starpu:0=']
> dependency.bad sci-libs/pastix/pastix-5.2.2.22-r1.ebuild: RDEPEND: ~arm(default/linux/arm/13.0) ['dev-libs/starpu:0=']
> dependency.bad sci-libs/pastix/pastix-5.2.2.22-r1.ebuild: DEPEND: ~hppa(default/linux/hppa/13.0) ['dev-libs/starpu:0=']
Comment 12 Stabilization helper bot gentoo-dev 2017-01-14 16:04:05 UTC
An automated check of this bug failed - repoman reported dependency errors (131 lines truncated): 

> dependency.bad sci-libs/umfpack/umfpack-5.6.2.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0) ['>=sci-libs/amd-1.3', 'sci-libs/suitesparseconfig']
> dependency.bad sci-libs/umfpack/umfpack-5.6.2.ebuild: RDEPEND: ~ia64(default/linux/ia64/13.0) ['>=sci-libs/amd-1.3', 'sci-libs/suitesparseconfig']
> dependency.bad sci-libs/umfpack/umfpack-5.6.2.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0/desktop) ['>=sci-libs/amd-1.3', 'sci-libs/suitesparseconfig']
> dependency.bad sci-libs/spqr/spqr-1.3.1.ebuild: DEPEND: ~hppa(default/linux/hppa/13.0) ['dev-cpp/tbb']
> dependency.bad sci-libs/spqr/spqr-1.3.1.ebuild: RDEPEND: ~hppa(default/linux/hppa/13.0) ['dev-cpp/tbb']
> dependency.bad sci-libs/spqr/spqr-1.3.1.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0) ['dev-cpp/tbb']
> dependency.bad sci-libs/adolc/adolc-2.5.2.ebuild: DEPEND: ~arm(default/linux/arm/13.0) ['sys-cluster/ampi:0=', 'sci-libs/colpack:0=']
> dependency.bad sci-libs/adolc/adolc-2.5.2.ebuild: RDEPEND: ~arm(default/linux/arm/13.0) ['sys-cluster/ampi:0=', 'sci-libs/colpack:0=']
> dependency.bad sci-libs/adolc/adolc-2.5.2.ebuild: DEPEND: ~hppa(default/linux/hppa/13.0) ['sys-cluster/ampi:0=', 'sci-libs/colpack:0=']
> dependency.bad dev-libs/starpu/starpu-1.1.5-r1.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0) ['sci-mathematics/glpk:0=']
> dependency.bad dev-libs/starpu/starpu-1.1.5-r1.ebuild: RDEPEND: ~ia64(default/linux/ia64/13.0) ['sci-mathematics/glpk:0=']
> dependency.bad dev-libs/starpu/starpu-1.1.5-r1.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0/desktop) ['sci-mathematics/glpk:0=']
> dependency.bad sci-libs/cholmod/cholmod-2.1.2.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0) ['>=sci-libs/amd-2.3', '>=sci-libs/colamd-2.8', '>=sci-libs/camd-2.3', '>=sci-libs/ccolamd-2.8', 'sci-libs/metis']
> dependency.bad sci-libs/cholmod/cholmod-2.1.2.ebuild: RDEPEND: ~ia64(default/linux/ia64/13.0) ['>=sci-libs/amd-2.3', '>=sci-libs/colamd-2.8', '>=sci-libs/camd-2.3', '>=sci-libs/ccolamd-2.8', 'sci-libs/metis']
> dependency.bad sci-libs/cholmod/cholmod-2.1.2.ebuild: DEPEND: ~ia64(default/linux/ia64/13.0/desktop) ['>=sci-libs/amd-2.3', '>=sci-libs/colamd-2.8', '>=sci-libs/camd-2.3', '>=sci-libs/ccolamd-2.8', 'sci-libs/metis']
Comment 13 Stabilization helper bot gentoo-dev 2017-01-14 22:02:25 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 14 Michael Weber (RETIRED) gentoo-dev 2017-04-05 15:39:29 UTC
add ~arm ~ppc64.
Comment 15 Stabilization helper bot gentoo-dev 2017-04-05 16:00:29 UTC
An automated check of this bug failed - the following atom is unknown:

dev-cpp/tbb-4.3.20150611-r1

Please verify the atom list.
Comment 16 Jeroen Roovers gentoo-dev 2017-04-29 16:20:54 UTC
Marked ~hppa.
Comment 17 Stabilization helper bot gentoo-dev 2017-04-29 17:00:29 UTC
An automated check of this bug failed - the following atom is unknown:

dev-cpp/tbb-4.3.20150611-r1

Please verify the atom list.
Comment 18 Stabilization helper bot gentoo-dev 2017-05-01 13:02:29 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 19 Sergei Trofimovich gentoo-dev 2017-07-01 09:53:17 UTC
~ia64 keyworded
Comment 20 Sergei Trofimovich gentoo-dev 2017-09-30 02:59:40 UTC
~ppc keyworded
Comment 21 Stabilization helper bot gentoo-dev 2018-04-26 22:00:05 UTC
An automated check of this bug failed - the following atoms are unknown:

dev-cpp/eigen-3.3.1
sci-libs/suitesparseconfig-4.2.1
sci-mathematics/glpk-4.60
sci-libs/adolc-2.5.2

Please verify the atom list.
Comment 22 Stabilization helper bot gentoo-dev 2018-05-12 14:01:05 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 23 Stabilization helper bot gentoo-dev 2019-02-17 18:00:23 UTC
An automated check of this bug failed - the following atoms are unknown:

dev-cpp/eigen-3.3.3
dev-libs/starpu-1.1.5-r1

Please verify the atom list.
Comment 24 Stabilization helper bot gentoo-dev 2019-02-17 19:01:11 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.